GET V1/Payments.{ext}?productId={productId}&fundingStatmentName={fundingStatmentName}&pageIndex={pageIndex}&pageSize={pageSize}
Will Get All the funding statement which are funded and waiting for Verify funds.
Mandatory Fields : productId
Optional Fields : fundingStatmentName,pageIndex,pageSize
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| productId |
Funding Statement ProductId |
integer |
Default value is 0 |
| fundingStatmentName |
Funding Statement Name |
string |
Default value is |
| pageIndex |
Page Index |
integer |
Default value is 0 |
| pageSize |
Page Size |
integer |
Default value is 0 |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
None.
Response Information
Resource Description
EMSResponseOfEMS.Payments.Entities.FundingStatements| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
EMS.Payments.Entities.FundingStatements |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
{
"responseType": "FundingStatements",
"response": {
"fundingStatementList": [
{
"fundingStatementId": 1,
"fundingStatementName": "sample string 1",
"fundingStatementDate": "sample string 2",
"status": "sample string 3",
"transactions": "sample string 4",
"payByAmount": 1.0,
"currentCharges": 1.0,
"billAmount": 1.0,
"fundDate": "sample string 5",
"clientId": 1,
"currency": "sample string 6",
"fsMode": "sample string 7",
"siteGroup": "sample string 8",
"comments": "sample string 9",
"fundingStatementDateWithTime": "2026-06-01T15:22:12.9728571-04:00",
"paymentMethod": "sample string 11",
"createdBy": "sample string 12",
"userImage": "sample string 13",
"commentsDate": "sample string 14"
},
{
"fundingStatementId": 1,
"fundingStatementName": "sample string 1",
"fundingStatementDate": "sample string 2",
"status": "sample string 3",
"transactions": "sample string 4",
"payByAmount": 1.0,
"currentCharges": 1.0,
"billAmount": 1.0,
"fundDate": "sample string 5",
"clientId": 1,
"currency": "sample string 6",
"fsMode": "sample string 7",
"siteGroup": "sample string 8",
"comments": "sample string 9",
"fundingStatementDateWithTime": "2026-06-01T15:22:12.9728571-04:00",
"paymentMethod": "sample string 11",
"createdBy": "sample string 12",
"userImage": "sample string 13",
"commentsDate": "sample string 14"
}
]
},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Binary JSON content. See http://bsonspec.org for details.